Bug 36055 - [PATCH] adding some help-yourself-info to ...best results from FreeBSD-questions...
Summary: [PATCH] adding some help-yourself-info to ...best results from FreeBSD-questi...
Status: Closed FIXED
Alias: None
Product: Documentation
Classification: Unclassified
Component: Documentation (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Christian Brueffer
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2002-03-18 18:50 UTC by Martin Karlsson
Modified: 2003-04-04 09:28 UTC (History)
0 users

See Also:


Attachments
file.diff (2.43 KB, patch)
2002-03-18 18:50 UTC, Martin Karlsson
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Karlsson 2002-03-18 18:50:00 UTC
	Currently, the 'How to get the best results from the FreeBSD-questions
	mailing list' article contains no information on what someone could try to do
	to help him/herself, or where to look for info, nor does it contain info on
	the benefits of trying to help oneself before asking -questions.

	The patch I am submitting suggests trying one's manpages, the docs, mailing list archives
	and search engines.

	If anything regarding this PR and the patch is unclear or needs
	discussion, please do not hesitate to contact me.

	Regards,
	-- 
	Martin Karlsson

How-To-Repeat: 	Read freebsd-questions for a week and see how the same questions seem to reappear, 
	suggesting that posters do not read manpages, documentation, or search mailing 
	list archives before posting their question.
Comment 1 Martin Karlsson 2002-03-19 18:04:38 UTC
* Martin Karlsson <martin.karlsson@visit.se> [2002-03-18 19.43 +0100]:
Well, hopefully my last screw-up for this year (not likely :-)) ...

--
Martin


---------8<-----------------8<----------------------8<----------------8<---------


--- article.old	Tue Mar 19 18:59:09 2002
+++ article.new	Tue Mar 19 18:58:58 2002
@@ -198,6 +198,44 @@
   <sect1>
     <title id="submit">How to submit a question</title>
   
+    <para>Before submitting your question:</para>
+    <itemizedlist>
+      <listitem>
+        <para>Try solving the problem on your own. If you post a question which
+	  shows that you have tried to solve the problem, your question will
+	  generally attract more positive attention from people reading it.
+	  Trying to solve the problem yourself will also enhance your understanding
+	  of FreeBSD, and will eventually let you use your knowledge to help others
+	  by answering questions posted to the mailing lists.
+	</para>
+      </listitem>
+
+      <listitem>
+        <para>Use the manpages, and the FreeBSD documentation (either installed
+	  in <filename>/usr/doc</filename> or accessible via WWW at <ulink URL="http://www.FreeBSD.org">
+	  http://www.FreeBSD.org</ulink>), especially the <ulink URL="http://www.freebsd.org/handbook/index.html">handbook</ulink>
+	  and the <ulink URL="http://www.freebsd.org/FAQ/index.html">FAQ</ulink>.
+	</para>
+      </listitem>
+
+      <listitem>
+        <para>Browse and/or search the archives for the mailing list, to see if your
+	  question or a similiar one has been asked (and possibly answered) on the
+	  list. You can browse and/or search the mailing list archives
+	  at <ulink URL="http://www.FreeBSD.org/mail">http://www.FreeBSD.org/mail</ulink>
+	  and <ulink URL="http://www.freebsd.org/search/search.html#mailinglists">http://www.freebsd.org/search/search.html#mailinglists</ulink>
+	  respectively. This can be done at other WWW sites as well, for example
+	  at <ulink URL="http://marc.theaimsgroup.com">http://marc.theaimsgroup.com</ulink>.
+	</para>
+      </listitem>
+
+      <listitem>
+        <para>Try searching a search engine such as <ulink URL="http://www.google.com">Google</ulink>
+          or <ulink URL="http://www.yahoo.com">Yahoo</ulink>. Google even has
+          a <ulink URL="http://www.google.com/bsd">BSD-specific search interface</ulink>.
+        </para>
+      </listitem>
+    </itemizedlist>
     <para>When submitting a question to FreeBSD-questions, consider the
       following points:</para>
Comment 2 Christian Brueffer freebsd_committer 2003-03-24 13:44:07 UTC
Responsible Changed
From-To: freebsd-doc->brueffer

I'll take this
Comment 3 Christian Brueffer freebsd_committer 2003-04-04 09:27:30 UTC
State Changed
From-To: open->closed

I have committed a slightly modified patch, thanks for the submission!